OntologyCache (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap
Class OntologyCache<O extends LoadedOntology>

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.OntologyCache<O>

    public class OntologyCache<O extends LoadedOntology>

extends Object

This caches the loaded ontologies so that it is possible to share them between alignments as well as to unload them if necessary.

Version:
  $Id: OntologyCache.java 1250 2010-02-15 22:21:51Z euzenat $ This class should be parameterized by O subClassOf LoadedOntology
Author:
  Jérôme Euzenat

Field Summary
`(package private) Hashtable<URI,O>` | `ontologies` The list of currently loaded ontologies as a function: URI --> Ontology This is the ontology URI, NOT its filename
`(package private) Hashtable<URI,O>` | `ontologyUris`

Constructor Summary
`OntologyCache()`

Method Summary
`void` | `clear()`
`void` | `displayCache()`
`O` | `getOntology(URI uri)`
`O` | `getOntologyFromURI(URI uri)`
`void` | `recordOntology(URI uri, O ontology)`
`void` | `unloadOntology(URI uri, O ontology)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ontologies

    Hashtable<URI,O extends LoadedOntology> ontologies

  The list of currently loaded ontologies as a function: URI --> Ontology This is the ontology URI, NOT its filename

### ontologyUris

    Hashtable<URI,O extends LoadedOntology> ontologyUris

Constructor Detail

### OntologyCache

    public OntologyCache()

Method Detail

### recordOntology

    public void recordOntology(URI uri,
                               O ontology)

### getOntology

    public O getOntology(URI uri)

### getOntologyFromURI

    public O getOntologyFromURI(URI uri)

### unloadOntology

    public void unloadOntology(URI uri,
                               O ontology)

### displayCache

    public void displayCache()

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010